Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 16-04-2018 16:27:08

Ghisbar
Membre
Distrib. : Emmabuntus DE 2
Noyau : Debian 9
(G)UI : XFCE
Inscription : 16-04-2018

[RÉSOLU]Debian 9 Canon MP560

Bonjour,

J'ai un pb pour installer une imprimante Canon MP560 en wifi dans un environnement Debian 9 (Emmabuntus DE2).
J'utilise CUPS qui la détecte sur le réseau mais lorsque je veux imprimer une page de test j'obtiens le message "Printing page 1, 24%"  puis Unable to locate printer "6A2D21000000.local"."
Un ping à l'adresse IP est ok.

Est ce que cela évoque quelque chose à quelqu'un ?

Merci d'avance

Dernière modification par Ghisbar (17-04-2018 15:09:17)


Acer Aspire 7730z

Hors ligne

#2 16-04-2018 16:39:42

Debian Alain
Adhérent(e)
Lieu : BREST
Distrib. : W$10 / stable / ubuntu / testing
Noyau : Linux 4.18.0-1-amd64 debian
(G)UI : Gnome wayland / Gdm3
Inscription : 11-03-2017
Site Web

Re : [RÉSOLU]Debian 9 Canon MP560

je sais qu'on va me reprocher de faire de la pub , mais , perso , je n'utilise que des imlprimantes HP .
justement pour leur compatibilité avec linux .
c'est une des rares marques à le  faire .

tu as vu ceci ?  :  http://support-asia.canon-asia.com/cont … 36502.html

https://doc.ubuntu-fr.org/tutoriel/inst … ante_canon

je ne sais pas te dépanner mais si ça peut aider ....

1498812139.jpg Live is Life - Opus 
RYZEN7 1700X - PRIME X370 PRO - 16 Go DDR4 - RADEON PULSE RX 550 4GB DDR5 OC UEFI - CORSAIR RM750X - SSD crucial MX500 500GB

Hors ligne

#3 16-04-2018 20:17:03

Ghisbar
Membre
Distrib. : Emmabuntus DE 2
Noyau : Debian 9
(G)UI : XFCE
Inscription : 16-04-2018

Re : [RÉSOLU]Debian 9 Canon MP560

Merci Debian Alain de t'interesser à mon pb.

Je n'ose pas installer les fichiers http://support-asia.canon-asia.com/cont … 36502.html     
car CUPS a identifié l'imprimante.

Pour la partie Tutoriel j'ai installé le paquet cups-backend-bjnp qui manquait mais pas plus d'effet.

Je continue d'explorer le pb

Acer Aspire 7730z

Hors ligne

#4 16-04-2018 21:46:16

Ghisbar
Membre
Distrib. : Emmabuntus DE 2
Noyau : Debian 9
(G)UI : XFCE
Inscription : 16-04-2018

Re : [RÉSOLU]Debian 9 Canon MP560

Resultat des recherches :

J'ai téléchargé les drivers sur le site canon france et j'ai essayé de les charger avec finalement des message d'erreurs.

Ci-dessous commandes et résultats

root@debian:/home/odette/Téléchargements/cnijfilter-mp560series-3.20-1-i386-deb# sudo ./install.sh
==================================================

Canon Inkjet Printer Driver Ver.3.20-1 for Linux
Copyright CANON INC. 2001-2009
All Rights Reserved.

==================================================
Execution command = sudo dpkg -iG ./packages/cnijfilter-common_3.20-1_i386.deb
Sélection du paquet cnijfilter-common précédemment désélectionné.
(Lecture de la base de données... 284570 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../cnijfilter-common_3.20-1_i386.deb ...
Dépaquetage de cnijfilter-common (3.20-1) sur (3.20-1) ...
Paramétrage de cnijfilter-common (3.20-1) ...
Execution command = sudo dpkg -iG ./packages/cnijfilter-mp560series_3.20-1_i386.deb
(Lecture de la base de données... 284570 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../cnijfilter-mp560series_3.20-1_i386.deb ...
Dépaquetage de cnijfilter-mp560series (3.20-1) sur (3.20-1) ...
dpkg: des problèmes de dépendances empêchent la configuration de cnijfilter-mp560series :
cnijfilter-mp560series dépend de libtiff4 ; cependant :
  Le paquet libtiff4 n'est pas installé.

dpkg: erreur de traitement du paquet cnijfilter-mp560series (--install) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
cnijfilter-mp560series
Execution command = sudo dpkg -P cnijfilter-common
dpkg: un problème de dépendance empêche la suppression de cnijfilter-common :
cnijfilter-mp560series dépend de cnijfilter-common (>= 3.20) ; cependant :
  Le paquet cnijfilter-common doit être supprimé.

dpkg: erreur de traitement du paquet cnijfilter-common (--purge) :
problème de dépendance - suppression ignorée
Des erreurs ont été rencontrées pendant l'exécution :
cnijfilter-common
root@debian:/home/odette/Téléchargements/cnijfilter-mp560series-3.20-1-i386-deb#




Quelqu'un peut il m'aider à interpréter ces infos ?
Merci d'avance.


Acer Aspire 7730z

Hors ligne

#5 17-04-2018 00:36:42

èfpé
Membre
Inscription : 10-07-2016

Re : [RÉSOLU]Debian 9 Canon MP560

Bonsoir et bienvenue, Ghisbar,

Le paquet cnijfilter-mp560series, qui dépend du paquet libtiff4 (ni installé, ni installable), est installé mais non configuré.

Le paquet cnijfilter-mp560series dépend également du paquet cnijfilter-common qui ne peut donc pas être désinstallé.

apt install ./cnijfilter-mp560series_3.20-1_i386.deb

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Note : sélection de « cnijfilter-mp560series:i386 » au lieu de « ./cnijfilter-mp560series_3.20-1_i386.deb »
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 cnijfilter-mp560series:i386 : Dépend: libpng12-0:i386 (>= 1.2.8rel) mais il n'est pas installable
                               Dépend: libtiff4:i386 mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».


Le problème est que ce pilote date de septembre 2009, et que le paquet libtiff4 est un petit peu obsolète !

apt install ./scangearmp-common_1.40-1_i386.deb

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Note : sélection de « scangearmp-common:i386 » au lieu de « ./scangearmp-common_1.40-1_i386.deb »
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
 scangearmp-common:i386 : Dépend: libgimp2.0:i386 (>= 2.2.0+rel) mais ne sera pas installé
                          Dépend: libpng12-0:i386 (>= 1.2.8rel) mais il n'est pas installable
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».


lpinfo --make-and-model "MP560" -m

gutenprint.5.2://bjc-MP560-series/expert Canon MP560 series - CUPS+Gutenprint v5.2.11
gutenprint.5.2://bjc-MULTIPASS-MP560/expert Canon PIXMA MP560 - CUPS+Gutenprint v5.2.11
gutenprint.5.2://bjc-PIXUS-MP560/expert Canon PIXUS MP560 - CUPS+Gutenprint v5.2.11


Le truc bizarre est que cette imprimante fonctionnait correctement sur Debian Wheezy (CUPS+Gutenprint).

Dernière modification par èfpé (17-04-2018 07:06:42)

Hors ligne

#6 17-04-2018 09:43:08

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [RÉSOLU]Debian 9 Canon MP560

Bonjour
J'avais eu le même soucis pour mon imprimante canon, si je me souviens bien j'avais pris les paquets manquant sur la version précédente de Debian ce qui fonctionnait .
Mais sur Stretch il me semble que après avoir installé le paquet cups-backend-bjnp l'imprimante était bien reconnu

Es tu sur que ton ping est vers la bonne adresse ip ?

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#7 17-04-2018 09:48:32

Ghisbar
Membre
Distrib. : Emmabuntus DE 2
Noyau : Debian 9
(G)UI : XFCE
Inscription : 16-04-2018

Re : [RÉSOLU]Debian 9 Canon MP560

Bonjour èfpé,

Merci de ton intérêt.

Si j'ai bien compris tes actions : tu as essayé d'installer les drivers imprimante et scanner et tu as constaté des pbs de dépendances qui ne peuvent être résolus.
Est ce bien cela ?

J'ai repris tes commandes (en root) avec des résultats différents...

root@debian:/home/odette# apt install ./cnijfilter-mp560series_3.20-1_i386.deb
Lecture des listes de paquets... Fait
E: Unsupported file ./cnijfilter-mp560series_3.20-1_i386.deb given on commandline
 



root@debian:/home/odette# apt install ./scangearmp-common_1.40-1_i386.deb
Lecture des listes de paquets... Fait
E: Unsupported file ./scangearmp-common_1.40-1_i386.deb given on commandline



root@debian:/home/odette# lpinfo --make-and-model "MP560" -m
gutenprint.5.2://bjc-MP560-series/expert Canon MP560 series - CUPS+Gutenprint v5.2.11
gutenprint.5.2://bjc-MULTIPASS-MP560/expert Canon PIXMA MP560 - CUPS+Gutenprint v5.2.11
gutenprint.5.2://bjc-PIXUS-MP560/expert Canon PIXUS MP560 - CUPS+Gutenprint v5.2.11



Seule la dernière commande est ok
Est ce que le pb peut venir aussi de là ?


Acer Aspire 7730z

Hors ligne

#8 17-04-2018 09:53:17

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [RÉSOLU]Debian 9 Canon MP560

Si j'ai bien compris tes actions : tu as essayé d'installer les drivers imprimante et scanner et tu as constaté des pbs de dépendances qui ne peuvent être résolus.


Oui si tu recherches les paquets manquant ils sont disponible sur une version précédente de Debian, c'est pour ça qu'il vaux mieux ne pas utiliser cette méthode bien quelle fonctionne vu que je l'utilisait avant d'avoir eu connaissance du paquet cups-backend-bjnp


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#9 17-04-2018 09:55:12

Ghisbar
Membre
Distrib. : Emmabuntus DE 2
Noyau : Debian 9
(G)UI : XFCE
Inscription : 16-04-2018

Re : [RÉSOLU]Debian 9 Canon MP560

Bonjour Croutons,

Merci de ton intérêt

, j'ai récupéré l'adresse IP de l'imprimante dans CUPS
Connection:    http:192.168.0.39

Et c'est bien cette adresse que je ping avec succès.

Acer Aspire 7730z

Hors ligne

#10 17-04-2018 09:59:39

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [RÉSOLU]Debian 9 Canon MP560

Ce doit etre sous Stretch que j'avais installé le pilote fabricant

apt policy libtiff4


libtiff4:
  Installé : 3.9.6-11
  Candidat : 3.9.6-11
 Table de version :
 *** 3.9.6-11 100
        100 /var/lib/dpkg/status


jbu71nel.png


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#11 17-04-2018 10:13:22

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [RÉSOLU]Debian 9 Canon MP560

Ma dernière installation sous Jessie en utilisant le protocole bjnp fourni par le paquet cups-backend-bjnp
eS7zrLb5clw6.png

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#12 17-04-2018 11:09:39

Ghisbar
Membre
Distrib. : Emmabuntus DE 2
Noyau : Debian 9
(G)UI : XFCE
Inscription : 16-04-2018

Re : [RÉSOLU]Debian 9 Canon MP560

Voici la page CUPS de mon imprimante

Canon-MP560-series
Canon-MP560-series (Processing, Accepting Jobs, Shared, Server Default)
Description:    Canon MP560 series
Location:    Office GB
Driver:    Canon MP560 series - CUPS+Gutenprint v5.2.11 (color, 2-sided printing)
Connection:    http:192.168.0.39
Defaults:    job-sheets=none, none media=iso_a4_210x297mm sides=one-sided
Jobs

Search in Canon-MP560-series:

Showing 1 of 1 active job.
ID    Name    User    Size    Pages    State    Control
Canon-MP560-series-20      Unknown      Withheld      1k      4      processing since
mar. 17 avril 2018 08:52:16 CEST
"Unable to locate printer ""."



et jvoici le résultat pour

root@debian:/home/odette# apt policy libtiff4
libtiff4:
  Installé : (aucun)
  Candidat : (aucun)
 Table de version :


Acer Aspire 7730z

Hors ligne

#13 17-04-2018 12:01:17

Ghisbar
Membre
Distrib. : Emmabuntus DE 2
Noyau : Debian 9
(G)UI : XFCE
Inscription : 16-04-2018

Re : [RÉSOLU]Debian 9 Canon MP560

Croutons,

Je suis étonné de la différence entre tes deux derniers messages au sujet de la connexion.
Sur une il y a cnijnet:/xx-xx-xx-xx et sur l'autre bjnp://xxx.xxx.xxx.xxx:8611

J'ai commencé avec la première option (cnijnet) qui n'a pas fonctionné puis avec la deuxième (bjnp) qui elle fonctionne !

Les adresses de mes équipements n'étant pas fixe je crains que cette dernière solution ne soit pas stable...

Peux t'on remplacer l'adresse IP par l'adresse MAC ?

Acer Aspire 7730z

Hors ligne

#14 17-04-2018 13:42:14

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [RÉSOLU]Debian 9 Canon MP560

oui ce n'est pas moi qui ais fais ce choix , avec le pilote fabriquant c'est l'adresse Mac qui est utilisé
avec le protocole bjnp c'est l'adresse fourni par le DHCP de ma box ...je suppose que la connexion doit suivre si son adresse change
Tu peux toujours essayer en mettant l'adresse MAC voir si cela fonctionne

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#15 17-04-2018 15:07:40

Ghisbar
Membre
Distrib. : Emmabuntus DE 2
Noyau : Debian 9
(G)UI : XFCE
Inscription : 16-04-2018

Re : [RÉSOLU]Debian 9 Canon MP560

Le remplacement de l'adresse IP par l'adresse MAC ne fonctionne pas.

Je vais donc attribuer une IP fixe à l'imprimante.

**************************************************************

Pour ceux qui auront ou vont suivre ce fil l'imprimante fonctionne bien maintenant en wifi.
Il a fallut installer le package  cups-bjnp
puis préciser pour la connexion    bjnp://xxx.xxx.xxx.xxx:8611           (xxx.xxx.xxx.xxx = adresse IP de l'imprimante)
Attention on peut être tenter dans cups de prendre l'imprimante qui est identifiée sur le réseau mais manque de bol la connexion n'est pas la bonne.
Soit sous cups on prend une imprimante generique Canon ou dans le gestionnaire d'imprimante on modifie la connexion

Rappel l'accès à cups se fait par  http://127.0.0.1:631   (serveur web)

Merci à ceux qui m'ont accompagné et plus particulièrement Croutons

Acer Aspire 7730z

Hors ligne

#16 17-04-2018 17:00:42

èfpé
Membre
Inscription : 10-07-2016

Re : [RÉSOLU]Debian 9 Canon MP560

(Épilogue,

@Ghisbar : le message d'erreur, obtenu en #7, indique que la commande n'est pas exécutée dans le bon répertoire (celui où se trouve le paquet à installer) ; toutefois il ne s'agissait que de montrer les problèmes de dépendances, et installer sur Stretch des paquets provenant de Wheezy (libtiff4) ou Jessie (libpng12-0) n'est pas idéal d'autant que ce multifonction est nativement pris en charge par CUPS+SANE... quoi qu'il en soit, tu peux purger les deux paquets installés ;

apt policy cnijfilter-common cnijfilter-mp560series

cnijfilter-common:i386:
  Installé : 3.20-1
  Candidat : 3.20-1
 Table de version :
 *** 3.20-1 100
        100 /var/lib/dpkg/status
cnijfilter-mp560series:i386:
  Installé : 3.20-1
  Candidat : 3.20-1
 Table de version :
 *** 3.20-1 100
        100 /var/lib/dpkg/status


apt remove --purge cnijfilter-common cnijfilter-mp560series

apt autoremove --purge


À noter que tu peux également utiliser un nom de domaine, pour la configuration en réseau, cf. Using Network Printers)

Dernière modification par èfpé (18-04-2018 08:00:42)

Hors ligne

Pied de page des forums